メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /accounts

新しいユーザーアカウントを作成します。公開エンドポイントであり、認証は不要です。
通常は app.llmgenerator.com の Web アプリから登録してください。本エンドポイントは主にプログラムからアカウントを作成する用途向けです。

リクエストボディ

email
string
必須
ユーザーのメールアドレス。一意である必要があります。
firstName
string
必須
ユーザーの名(1〜50 文字)。
lastName
string
ユーザーの姓(最大 50 文字)。
company
string
ユーザーの会社名(最大 100 文字)。

レスポンス

success
boolean
アカウントが正常に作成されたかどうか。
message
string
ステータスメッセージ。
account
object
作成されたアカウントの詳細。
apiKey
string
アカウント用の初期 API キー。安全に保管してください。
curl -X POST https://api.llmgenerator.com/api/v1/accounts \
  -H "Content-Type: application/json" \
  -d '{
    "email": "user@example.com",
    "firstName": "Jane",
    "lastName": "Doe",
    "company": "Acme Inc"
  }'
{
  "success": true,
  "message": "Account created successfully",
  "account": {
    "id": "user_abc123def456",
    "email": "user@example.com",
    "firstName": "Jane",
    "lastName": "Doe",
    "company": "Acme Inc",
    "plan": "free",
    "createdAt": "2026-01-27T10:00:00.000Z"
  },
  "apiKey": "llm_1706345678_initialkeyabc123"
}